Skip to content
View as Markdown

POST Resync Campaign Revenues​

POST
/campaigns/{id}/revenues/resync

Re-synchronize the revenue data for a campaign by recalculating totals from WooCommerce orders. Updates the _campaign_revenue meta with fresh order totals. Only works with WooCommerce.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The campaign ID.

Type
integer
Required

Responses​

Revenue re-synced successfully or no revenue/orders found.

application/json
JSON
{
"message": "Revenue has been re-synced successfully",
"total": "4950.00"
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI